
# scroll-bar?  see https://superuser.com/questions/310251/use-terminal-scrollbar-with-tmux
set -ga terminal-overrides ',xterm*:smcup@:rmcup@'

# mousewheel scrolling
set -g mouse on

# edit mode
setw -g mode-keys emacs

# cut-paste outside tmux.  see https://linuxhint.com/copy-paste-clipboard-tmux/
bind C-c run "tmux save-buffer - | /usr/bin/xclip -i -sel clipboard || :"
bind C-v run 'tmux set-buffer "$(/usr/bin/xclip -o -sel clipboard)"; tmux paste-buffer'

# https://superuser.com/questions/1098077/how-to-keep-terminal-window-title-in-sync-with-tmux-window
set-option -g set-titles on
set-option -g set-titles-string "#S		#T"
